## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.5
%global pypi_name hypothesmith

%global common_description %{expand:
Hypothesis strategies for generating Python programs, something like CSmith.}

%bcond tests 1

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %autorelease
Summary:        Hypothesis strategies for generating Python programs

License:        MPLv2.0
URL:            https://github.com/Zac-HD/hypothesmith
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
%{common_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{common_description}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
# rm -rf %{pypi_name}.egg-info
# Tox configuration is passing unsupported arguments to pytest
# rm tox.ini

%generate_buildrequires
%pyproject_buildrequires %{?with_tests: -r deps/test.in}


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{pypi_name}


%if %{with tests}
%check
%pytest
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG.md


%changelog
* Fri Apr 21 2023 Tomáš Hrnčiar <thrnciar@redhat.com> 0.2.0-6
- Add bcond to disable tests

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Python Maint <python-maint@redhat.com> 0.2.0-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 15 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.2.0-1
- Update to 0.2.0 Use automatic BRs

* Sun Nov 07 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.1.9-1
- Update to 0.1.9; Fixes: RHBZ#1995390

* Sun Nov 07 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.1.8-5
- Drop logic for Fedora 32

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.8-2
- Rebuilt for Python 3.10

* Tue Mar 30 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.8-1
- Initial package.

